<?xml version="1.0" encoding="UTF-8" ?>
<case app="GenCase4 v4.0.068 (27-04-2018)" date="02-05-2018 20:09:43">
    <casedef>
        <constantsdef>
            <lattice bound="1" fluid="1" />			
            <gravity x="0" y="0" z="-9.81" comment="Gravitational acceleration" units_comment="m/s^2" />
            <rhop0 value="1000" comment="Reference density of the fluid" units_comment="kg/m^3" />
            <hswl value="0.8" auto="false" comment="Maximum still water level to calculate speedofsound using coefsound" units_comment="metres (m)" />
            <gamma value="7" comment="Polytropic constant for water used in the state equation" />
            <speedsystem value="0" auto="true" comment="Maximum system speed (by default the dam-break propagation is used)" />
            <coefsound value="30" comment="Coefficient to multiply speedsystem" />
            <speedsound value="0" auto="true" comment="Speed of sound to use in the simulation (by default speedofsound=coefsound*speedsystem)" />
            <coefh value="1.2" comment="Coefficient to calculate the smoothing length (h=coefh*sqrt(3*dp^2) in 3D)" />		
            <cflnumber value="0.2" comment="Coefficient to multiply dt" />	
        </constantsdef>	
        <mkconfig boundcount="230" fluidcount="10">
            <mkorientfluid mk="0" orient="Xyz" />
        </mkconfig>
        <geometry>
           <definition dp="0.01" units_comment="metres (m)">
                <pointmin x="-0.55" y="-0.0" z="-0.55" />
                <pointmax x="1.1" y="0.0" z="3.1" />
            </definition>
            <commands>
                <mainlist>
                    <setshapemode>dp | real | bound</setshapemode>
					<setdrawmode mode="full" />
					<setmkfluid mk="0" />
                    <drawbox>
                        <boxfill>solid</boxfill>
                        <point x="-0.5" y="-0.1" z="-0.5" />
                        <size x="1" y="0.2" z="1" />
                    </drawbox>
					<setmkfluid mk="1"/>
					<drawbox>
                        <boxfill>solid</boxfill>
                        <point x="-0.5" y="-0.5" z="0.5" />
                        <size x="1" y="1" z="0.5" />
                    </drawbox>
                    <setdrawmode mode="face" />
                    <setmkbound mk="20" />
                    <drawbox>
                        <boxfill>bottom|front|back|right|left</boxfill>
                        <point x="-0.5" y="-0.5" z="-0.5" />
                        <size x="1.0" y="1.0" z="1.0" />
                    </drawbox> 
					<shapeout file="Boundary-water"/>
					<setdrawmode mode="face" />
                    <setmkbound mk="21" />
                    <drawbox>
                        <boxfill>front|back|right|left</boxfill>
                        <point x="-0.5" y="-0.5" z="0.5" />
                        <size x="1.0" y="1.0" z="0.5" />
                    </drawbox> 
					<shapeout file="Boundary-air"/>
                    <setdrawmode mode="solid" />
					<setmkbound mk="51" />
                    <drawcylinder radius="0.1" mask="0">
                        <point x="0" y="-0.02" z="0.5285" />
						<point x="0" y="0.02" z="0.5285" />
                    </drawcylinder>                   
                    <shapeout file="sphere" reset="true" />	
                </mainlist>
            </commands>
        </geometry>	
		<floatings>
			<floating mkbound="51" relativeweight ="1.74">
				<linearvelini x="0.0" y="0.0" z="-5.95" />
				<angularvelini x="0.0" y="0.0" z="0.0" />
			</floating>
		</floatings>
		<!--  property="glass" -->
		<properties>
			<links>
				<link mkfluid="0" property="water" />
				<link mkfluid="1" property="air" />
				<link mkbound="20" property="water" />
				<link mkbound="21" property="water" />
				<link mkbound="51" property="water+glass" />
			</links>
            <propertyfile file="Floating_Materials.xml" path="materials" />
            <property name="water">
                <rhop0 value="1000" />
                <gamma value="7" />
                <cs0 value="70" />
                <visco value="0.000001" />
                <phasetype value="0" />
                <surfcoef value="0.5" />
            </property>
            <property name="air">
                <rhop0 value="1.18" />
                <gamma value="1.4" />
                <cs0 value="300" />
                <visco value="0.0000148" />
                <phasetype value="1" />
                <surfcoef value="0" />
            </property>
		</properties>
    </casedef>
    <execution>
        <parameters>
            <parameter key="PosDouble" value="2" comment="Precision in particle interaction 0:Simple, 1:Double, 2:Uses and saves double (default=0)" />
			<parameter key="FlowType" value="2" />
            <parameter key="StepAlgorithm" value="2" comment="Step Algorithm 1:Verlet, 2:Symplectic (default=1)" />
            <parameter key="VerletSteps" value="40" comment="Verlet only: Number of steps to apply Euler timestepping (default=40)" />
            <parameter key="Kernel" value="2" comment="Interaction Kernel 1:Cubic Spline, 2:Wendland (default=2)" />
            <parameter key="ViscoTreatment" value="2" comment="Viscosity formulation 1:Artificial, 2:Laminar+SPS (default=1)" />
            <parameter key="Visco" value="0.0" comment="Viscosity value" units_comment="m^2/s" />
            <parameter key="ViscoBoundFactor" value="1" comment="Multiply viscosity value with boundary (default=1)" />
            <parameter key="DeltaSPH" value="0.1" comment="DeltaSPH value, 0.1 is the typical value, with 0 disabled (default=0)" />
            <parameter key="Shifting" value="1" comment="Shifting mode 0:None, 1:Ignore bound, 2:Ignore fixed, 3:Full (default=0)" />
            <parameter key="ShiftCoef" value="-6" comment="Coefficient for shifting computation (default=-2)" />
            <parameter key="ShiftTFS" value="1.5" comment="Threshold to detect free surface. Typically 1.5 for 2D and 2.75 for 3D (default=0)" />
			<parameter key="MPCoefficient" value="0.0" comment="Colagrossi and Landrini multiphase coefficient." />
            <parameter key="RigidAlgorithm" value="1" comment="Rigid Algorithm 1:SPH, 2:DEM (default=1)" />
            <parameter key="FtPause" value="0.0" comment="Time to freeze the floatings at simulation start (warmup) (default=0)" units_comment="seconds" />
            <parameter key="CoefDtMin" value="0.05" comment="Coefficient to calculate minimum time step dtmin=coefdtmin*h/speedsound (default=0.05)" />
            <parameter key="#DtIni" value="0.0001" comment="Initial time step (default=h/speedsound)" units_comment="seconds" />
            <parameter key="#DtMin" value="0.00001" comment="Minimum time step (default=coefdtmin*h/speedsound)" units_comment="seconds" />
            <parameter key="#DtFixed" value="DtFixed.dat" comment="Dt values are loaded from file (default=disabled)" />
            <parameter key="DtAllParticles" value="0" comment="Velocity of particles used to calculate DT. 1:All, 0:Only fluid/floating (default=0)" />
            <parameter key="TimeMax" value="0.05" comment="Time of simulation" units_comment="seconds" />
            <parameter key="TimeOut" value="0.01" comment="Time out data" units_comment="seconds" />
            <parameter key="PartsOutMax" value="1" comment="%/100 of fluid particles allowed to be excluded from domain (default=1)" units_comment="decimal" />
            <parameter key="RhopOutMin" value="0" comment="Minimum rhop valid (default=700)" units_comment="kg/m^3" />
            <parameter key="RhopOutMax" value="2000" comment="Maximum rhop valid (default=1300)" units_comment="kg/m^3" />
            <parameter key="XPeriodicIncZ" value="0" comment="Periodic BC in X-Y" units_comment="metres (m)" />
            <simulationdomain comment="Defines domain of simulation (default=Uses minimun and maximum position of the generated particles)">
                <posmin x="default" y="default" z="default" comment="e.g.: x=0.5, y=default-1, z=default-10%" />
                <posmax x="default" y="default" z="default + 20%" />
            </simulationdomain>
        </parameters>
    </execution>
</case>
